﻿.side-bar-item, .side-bar-item:hover, .side-bar-item:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
    overflow-y: auto;
}

#sidebar {
    background-image: linear-gradient(200deg, #44546a 0%, #5b9bd6 100%);
    /* background-color: darkblue; */
    overflow-y: auto;
}

    #sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    #sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    #sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    #sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: unset !important;
        padding-left: unset !important;
        padding-right: unset !important;
    }

        #sidebar .nav-item:first-of-type {
            padding-top: unset !important;
        }

        #sidebar .nav-item:last-of-type {
            padding-bottom: unset !important;
        }

        #sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }


            #sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
                border-radius: 0px;
            }

        #sidebar .nav-item .flex-column {
            background-color: rgba(0,0,0,0.25);
            color: black;
        }

        #sidebar .nav-item .flex-column {
            padding-left: 1rem;
        }

.side-bar-item.active {
    background-color: rgba(255,255,255,0.1);
    color: white;
    border-radius: 0px;
}
#sidebar {
    /* don't forget to add all the previously mentioned styles here too */
    color: #fff;
    transition: all 0.3s;
}

    #sidebar .sidebar-header {
        padding: 20px 0px 10px 0px;
    }

    #sidebar ul.components {
        padding: 20px 0;
        /*border-bottom: 1px solid #47748b;*/
    }

    #sidebar ul p {
        color: #fff;
        padding: 10px;
    }

    #sidebar ul li a {
        padding: 10px;
        font-size: 1.1em;
        display: block;
    }

        #sidebar ul li a:hover {
            /*     color: #18BC9E;
            background: #fff;*/
            background-color: rgba(255,255,255,0.1);
            color: white;
            border-radius: 0px;
            transition: 0.3s;
        }

    #sidebar ul li.active > a {
        /*   
             a[aria-expanded="true"]
            color: #18BC9E;
        background: #2C3E50;*/
        background-color: rgba(255,255,255,0.25);
        color: white;
        border-radius: 0px;
    }

ul.riteTIME-sidebar ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    background: #384f66;
}

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebar {
    max-width: 250px;
    min-width: 250px;
    min-height: 100vh;
}
    #sidebar.active {
        margin-left: -250px;
    }

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
    }

        #sidebar.active {
            margin-left: 0;
        }
}

#content {
    width: 100%;
    min-height: 100vh;
}

/* Nav-bar */
.navbar-dark .navbar-nav .nav-link:hover, .navbar-dark .navbar-nav .nav-link:focus {
    transition: 0.3s;
}
.navbar {
    height: 62px !important;
}
    .navbar.bg-primary {
        background: #44546a !important;
    }
    .navbar .btn-primary {
        background: #44546a !important;
    }

/* Icons */
.nav-module-icon {
    width: 26px;
    display: inline-block;
}

.nav-group-icon {
    width: 30px;
    display: inline-block;
}